Debian Bug report logs - #702488
ITA: sfst -- Stuttgart finite-state transducer tools

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rico Sennrich <rico.sennrich@gmx.ch>

Date: Thu, 7 Mar 2013 07:00:02 UTC

Owned by: Rico Sennrich <rico.sennrich@gmx.ch>

Severity: normal

Fixed in version sfst/1.4.6g-1

Done: Rico Sennrich <rico.sennrich@gmx.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702488; Package wnpp. (Thu, 07 Mar 2013 07:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rico Sennrich <rico.sennrich@gmx.ch>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 07 Mar 2013 07:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rico Sennrich <rico.sennrich@gmx.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITA: sfst -- Stuttgart finite-state transducer tools
Date: Thu, 07 Mar 2013 07:55:54 +0100
Package: wnpp
Severity: normal

Since Francis Tyers, the current maintainer of sfst, no longer has time to maintain it,
he agreed to let me adopt the package.

The package description is:
 SFST is a toolbox for the implementation of morphological analysers
 and other tools which are based on finite state transducer
 technology. The SFST tools comprise
 .
   * a compiler which translates transducer programs into minimised transducers
   * interactive and batch-mode analysis programs
   * tools for comparing and printing transducers
   * a C++ library which is efficient and easy to use



Owner recorded as Rico Sennrich <rico.sennrich@gmx.ch>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Mar 2013 17:27:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 702488: 702490 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 08 Mar 2013 04:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rico Sennrich <rico.sennrich@gmx.ch>:
Bug#702488; Package wnpp. (Fri, 08 Mar 2013 11:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rico Sennrich <rico.sennrich@gmx.ch>. (Fri, 08 Mar 2013 11:51:05 GMT) Full text and rfc822 format available.

Message #14 received at 702488@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Rico Sennrich <rico.sennrich@gmx.ch>
Cc: 701510@bugs.debian.org, 702488@bugs.debian.org
Subject: sfst: FTBFS on powerpcspe
Date: Fri, 08 Mar 2013 12:46:08 +0100
Hi Rico,

thanks for working on sfst in Debian!

I would be happy to sponsor sfst!

But first, I would like to sort out some issues:

* What error in the build process do you get? I encountered build errors
on both amd64 and powerpcspe _without_ my patch, e.g.:

configure: exit 77
dh_auto_configure: ./configure --build=powerpc-linux-gnuspe
--prefix=/usr --includedir=${prefix}/include
--mandir=${prefix}/share/man --infodir=${prefix}/share/info
--sysconfdir=/etc --localstatedir=/var --libexecdir=${prefix}/lib/sfst
--disable-maintainer-mode --disable-dependency-tracking returned exit
code 77
make: *** [build] Error 25

 But this happens depending on whether I run "debian/rules clean" in the
unstable chroot or not.

Did you encounter similar issues? Are you sure you built in a clean
unstable chroot?

So I'm not convinced that build errors are coming from my patch which
looks good and works also in other packages's configure.ac's.
* There are some lintian warnings about hardening flags etc. Please
consider fixing the issues or add lintian overrides
* At this stage in the release process, I would prefer dist
"experimental" rather that "unstable" to make work on th wheezy release
easier.
* I would add myself as Uploader to the sfst package
* Please use debian/source/format "3.0 (quilt)", so we can sort out
better what changes are supposed to fix what, and prevent unintended
changes by generated stuff, especially due to autoreconfing.

Please CC me on updates to sfst.

Thanks,

Roland



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702488; Package wnpp. (Fri, 08 Mar 2013 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rico Sennrich <rico.sennrich@gmx.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 08 Mar 2013 21:27:07 GMT) Full text and rfc822 format available.

Message #19 received at 702488@bugs.debian.org (full text, mbox):

From: Rico Sennrich <rico.sennrich@gmx.ch>
To: Roland Stigge <stigge@antcom.de>
Cc: 701510@bugs.debian.org, 702488@bugs.debian.org
Subject: Re: sfst: FTBFS on powerpcspe
Date: Fri, 08 Mar 2013 22:21:53 +0100
Hi Roland,

thank you for sponsoring the package!


> * What error in the build process do you get? I encountered build errors
> on both amd64 and powerpcspe _without_ my patch, e.g.:

>  But this happens depending on whether I run "debian/rules clean" in the
> unstable chroot or not.
> 
> Did you encounter similar issues? Are you sure you built in a clean
> unstable chroot?

sfst 1.4.6g-1 builds successfully in a clean unstable chroot (amd64).
Since I have changed the build process quite a bit compared to sfst
1.2.0-1.2 (which had some non-upstream stuff in its *orig.tar.gz), I
suggest you give it a try.

> So I'm not convinced that build errors are coming from my patch which
> looks good and works also in other packages's configure.ac's.

I rechecked in a clean unstable chroot, with the same result. After
applying the patch, I get the following error:

checking for getopt_long... yes
configure: error: conditional "AMDEP" was never defined.
Usually this means the macro was only invoked conditionally.

...

configure: exit 1
dh_auto_configure: ./configure --build=x86_64-linux-gnu --prefix=/usr
--includedir=${prefix}/include --mandir=${prefix}/share/man --infodir=
${prefix}/share/info --sysconfdir=/etc --localstatedir=/var
--libexecdir=${prefix}/lib/sfst --disable-maintainer-mode
--disable-dependency-tracking returned exit code 1
make: *** [build] Error 25
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package


> * There are some lintian warnings about hardening flags etc. Please
> consider fixing the issues or add lintian overrides

most of those are fixed in 1.4.6g-1.

> * At this stage in the release process, I would prefer dist
> "experimental" rather that "unstable" to make work on th wheezy release
> easier.

done.

>  * Please use
> debian/source/format "3.0 (quilt)", so we can sort out better what
> changes are supposed to fix what, and prevent unintended changes by
> generated stuff, especially due to autoreconfing.

done.

best wishes,
Rico





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rico Sennrich <rico.sennrich@gmx.ch>:
Bug#702488; Package wnpp. (Sat, 09 Mar 2013 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rico Sennrich <rico.sennrich@gmx.ch>. (Sat, 09 Mar 2013 14:45:05 GMT) Full text and rfc822 format available.

Message #24 received at 702488@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Rico Sennrich <rico.sennrich@gmx.ch>
Cc: 701510@bugs.debian.org, 702488@bugs.debian.org
Subject: Re: sfst: FTBFS on powerpcspe
Date: Sat, 09 Mar 2013 15:38:49 +0100
Hi Rico,

On 03/08/2013 10:21 PM, Rico Sennrich wrote:
> thank you for sponsoring the package!

I just uploaded your new version to experimental.

Will need to have another look at the powerpcspe patch. Meanwhile,
please work on the remaining lintian warnings, and either override or
fix. Also, please keep the "Uploaders:" entry that I added to
debian/control.

Thanks,

Roland



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Mar 2013 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Rico Sennrich <rico.sennrich@gmx.ch>:
You have taken responsibility. (Wed, 17 Apr 2013 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to Rico Sennrich <rico.sennrich@gmx.ch>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 19:03:08 GMT) Full text and rfc822 format available.

Message #31 received at 702488-close@bugs.debian.org (full text, mbox):

From: Rico Sennrich <rico.sennrich@gmx.ch>
To: 702488-close@bugs.debian.org
Subject: Bug#702488: fixed in sfst 1.4.6g-1
Date: Wed, 17 Apr 2013 19:00:05 +0000
Source: sfst
Source-Version: 1.4.6g-1

We believe that the bug you reported is fixed in the latest version of
sfst, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702488@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rico Sennrich <rico.sennrich@gmx.ch> (supplier of updated sfst package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Apr 2013 11:30:57 +0100
Source: sfst
Binary: sfst libsfst1-1.4 libsfst1-1.4-dev
Architecture: source amd64
Version: 1.4.6g-1
Distribution: experimental
Urgency: low
Maintainer: Rico Sennrich <rico.sennrich@gmx.ch>
Changed-By: Rico Sennrich <rico.sennrich@gmx.ch>
Description: 
 libsfst1-1.4 - Shared library for SFST
 libsfst1-1.4-dev - Development library SFST
 sfst       - Stuttgart finite-state transducer tools
Closes: 702488
Changes: 
 sfst (1.4.6g-1) experimental; urgency=low
 .
   * new maintainer (closes: #702488)
   * new upstream release
   * update package style
       * clean-up separation of upstream/debian files
       * use source format 3.0 (quilt)
       * use autoreconf for building
       * add get-orig-source goal to rules (removes PDFs from source tarball)
   * add more headers to dev package
     (Closes: LP:#583815)
   * fix some lintian warnings
     * fix bad whatis entries of man pages
     * add watch file
     * bump standards to 2.9.4
Checksums-Sha1: 
 2c137d1c8c72a46a982a4a9ea1ddfaa70756120b 1315 sfst_1.4.6g-1.dsc
 fdbc0ce19f916095ec39486ee47c5122d43da8bf 130746 sfst_1.4.6g.orig.tar.gz
 3dedc20bab6432b03d84925392e7d35580b22ae8 8480 sfst_1.4.6g-1.debian.tar.gz
 48d6b51359296884c1aee060818e4e043f691d48 1343206 sfst_1.4.6g-1_amd64.deb
 d86eeac89c6402062c39288f21540fc2417c0c30 67544 libsfst1-1.4_1.4.6g-1_amd64.deb
 c2d11fb0d9e84b7c4b03c4feb680d9e57a4ffacd 86688 libsfst1-1.4-dev_1.4.6g-1_amd64.deb
Checksums-Sha256: 
 0a026082c61bc7624bf2e4beddd4f47b4d158e67e181e2c7a895e4cd8d20da23 1315 sfst_1.4.6g-1.dsc
 237c0f9ebd68c791202472253bddf3ce2602a2e7cb121a3ee3d696ef70226ca9 130746 sfst_1.4.6g.orig.tar.gz
 250c7ecd63cc19735680973f99ff758855233807ab9dee0c98a9407e2c67330d 8480 sfst_1.4.6g-1.debian.tar.gz
 78ff9fb3bce1ad749fd72ceeb2353fd02980fc87c9cd940a07fd5077a7f49f5f 1343206 sfst_1.4.6g-1_amd64.deb
 3ad57727b1d0d82095c8da23f9554c016df783fb2164e3cc70f0c9e4c70b5e8d 67544 libsfst1-1.4_1.4.6g-1_amd64.deb
 f987d77f81527c8e25335b075e01b93d84bce2bedbe62c4422149559ad268618 86688 libsfst1-1.4-dev_1.4.6g-1_amd64.deb
Files: 
 9df11d52d281e0d3ac4a7303d4679219 1315 misc optional sfst_1.4.6g-1.dsc
 ca44f0447d46ee1ea321a86bea33daf2 130746 misc optional sfst_1.4.6g.orig.tar.gz
 8d47b666b6925ad8ff56bd4e081bc1c9 8480 misc optional sfst_1.4.6g-1.debian.tar.gz
 94431742e7509b726cb047fc1cd05b38 1343206 misc optional sfst_1.4.6g-1_amd64.deb
 932e728e7ac7e8adc671a2d755990fc2 67544 libs optional libsfst1-1.4_1.4.6g-1_amd64.deb
 8974e5f9902220727745833d3b1eac34 86688 libdevel optional libsfst1-1.4-dev_1.4.6g-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRbuRLcaH/YBv43g8RAp9lAKCXA6nCuiLXnaL0QX58HOw836VCEgCfX1YA
y3mBEdIAyKZB41oPQI9oWcU=
=mwcp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:31:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:48:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.